<?php

namespace DBLumpx\PaymentRucode;

use XF\AddOn\AbstractSetup;
use XF\AddOn\StepRunnerInstallTrait;
use XF\AddOn\StepRunnerUninstallTrait;
use XF\AddOn\StepRunnerUpgradeTrait;

class Setup extends AbstractSetup
{
	use StepRunnerInstallTrait;
	use StepRunnerUpgradeTrait;
	use StepRunnerUninstallTrait;

	public function installStep1()
	{
		$db = $this->db();

		$db->insert('xf_payment_provider', [
			'provider_id'    => 'dblumpx_rucode',
			'provider_class' => 'DBLumpx\\PaymentRucode:rucode',
			'addon_id'       => 'DBLumpx/PaymentRucode'
		]);
	} 

	public function uninstallStep1()
	{
		$this->db()->delete('xf_payment_provider', 'provider_id = ?', 'dblumpx_rucode');
		$this->db()->delete('xf_payment_profile', 'provider_id = ?', 'dblumpx_rucode');
	}
}